%global _empty_manifest_terminate_build 0
Name:		python-pathspec
Version:	0.11.2
Release:	1
Summary:	Utility library for gitignore style pattern matching of file paths.
License:	MPL-2.0
URL:		https://github.com/cpburnz/python-pathspec
Source0:	https://files.pythonhosted.org/packages/a0/2a/bd167cdf116d4f3539caaa4c332752aac0b3a0cc0174cdb302ee68933e81/pathspec-0.11.2.tar.gz
BuildArch:	noarch

%description
pathspec is a utility library for pattern matching of file paths. So far this only includes Git's wildmatch pattern matching which itself is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n python3-pathspec
Summary:	Utility library for gitignore style pattern matching of file paths.
Provides:	python-pathspec = %{version}-%{release}
# Base build requires
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
%description -n python3-pathspec
pathspec is a utility library for pattern matching of file paths. So far this only includes Git's wildmatch pattern matching which itself is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package help
Summary:	Development documents and examples for pathspec
Provides:	python3-pathspec-doc
%description help
pathspec is a utility library for pattern matching of file paths. So far this only includes Git's wildmatch pattern matching which itself is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%prep
%autosetup -n pathspec-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pathspec -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Aug 01 2023 niuyaru <niuyaru@kylinos.cn> - 0.11.2-1
- Update package to version 0.11.2

* Tue Mar 28 2023 wangjunqi <wangjunqi@kylinos.cn> - 0.11.1-1
- Update package to version 0.11.1

* Fri Dec 16 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 0.10.3-1
- Update package to version 0.10.3

* Tue Nov 22 2022 wangjunqi <wangjunqi@kylinos.cn> - 0.10.2-1
- Update package to version 0.10.2

* Mon Aug 01 2022 fushanqing <fushanqing@kylinos.cn> - 0.9.0-1
- update to 0.9.0

* Wed Jul 14 2021 OpenStack_SIG <openstack@openeuler.org> - 0.8.1-1
- Package Spec upgrade
* Wed Jul 29 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
